[program:meal_order_zhct_sanquan]
command=/usr/local/php7.3/bin/php think queue:work --queue serve_meal_order_zhct_sanquan --daemon
directory=/workspace/wwwroot/zhct_sanquan/project/
autorestart=true
startsecs=3
startretries=3
stdout_logfile=/var/log/supervisor/meal_order_zhct_sanquan.out.log
stderr_logfile=/var/log/supervisor/meal_order_zhct_sanquan.err.log
stdout_logfile_maxbytes=2MB
stderr_logfile_maxbytes=2MB
user=www
priority=999
numprocs=1
process_name=%(program_name)s_%(process_num)02d

[program:qw_robot_zhct_sanquan]
command=/usr/local/php7.3/bin/php think queue:work --queue serve_qw_robot_zhct_sanquan --daemon
directory=/workspace/wwwroot/zhct_sanquan/project/
autorestart=true
startsecs=3
startretries=3
stdout_logfile=/var/log/supervisor/qw_robot_zhct_sanquan.out.log
stderr_logfile=/var/log/supervisor/qw_robot_zhct_sanquan.err.log
stdout_logfile_maxbytes=2MB
stderr_logfile_maxbytes=2MB
user=www
priority=999
numprocs=1
process_name=%(program_name)s_%(process_num)02d

[program:aistaffpower_sanquan]
command=/usr/local/php7.4/bin/php think queue:listen --queue serve
directory=/workspace/wwwroot/aizhct_sanquan/project/
autorestart=true
startsecs=3
startretries=3
stdout_logfile=/var/log/supervisor/aistaffpower_sanquan.out.log
stderr_logfile=/var/log/supervisor/aistaffpower_sanquan.err.log
stdout_logfile_maxbytes=2MB
stderr_logfile_maxbytes=2MB
user=www
priority=999
numprocs=1
process_name=%(program_name)s_%(process_num)02d

[program:consume_zhct_sanquan]
command=/usr/local/php7.3/bin/php think MqttServer --device=dev2_consume_work_%(process_num)d
directory=/workspace/wwwroot/zhct_sanquan/project/
autorestart=true
startsecs=3
startretries=3
stdout_logfile=/var/log/supervisor/consume_zhct_sanquan.out.log
stderr_logfile=/var/log/supervisor/consume_zhct_sanquan.err.log
stdout_logfile_maxbytes=2MB
stderr_logfile_maxbytes=2MB
user=www
priority=999
numprocs=4
process_name=%(program_name)s_%(process_num)02d

[program:aizhcttime_sanquan]
command=/usr/local/php7.4/bin/php think time start
directory=/workspace/wwwroot/aizhct_sanquan/project/
autorestart=true
startsecs=3
startretries=3
stdout_logfile=/var/log/supervisor/aizhcttime_sanquan.out.log
stderr_logfile=/var/log/supervisor/aizhcttime_sanquan.err.log
stdout_logfile_maxbytes=2MB
stderr_logfile_maxbytes=2MB
user=www
priority=999
numprocs=1
process_name=%(program_name)s_%(process_num)02d

[program:pushDishes_zhct_sanquan]
command=/usr/local/php7.3/bin/php think queue:work --queue serve_zhct_sanquan --daemon
directory=/workspace/wwwroot/zhct_sanquan/project/
autorestart=true
startsecs=3
startretries=3
stdout_logfile=/var/log/supervisor/pushDishes_zhct_sanquan.out.log
stderr_logfile=/var/log/supervisor/pushDishes_zhct_sanquan.err.log
stdout_logfile_maxbytes=2MB
stderr_logfile_maxbytes=2MB
user=www
priority=999
numprocs=1
process_name=%(program_name)s_%(process_num)02d
